```
module HottBook.Chapter4 where

open import HottBook.Chapter1
open import HottBook.Chapter2
open import HottBook.Chapter3
```

## 4.1 Quasi-inverses

```
-- qinv : {A B : Type} (f : A → B) → 
```

### Theorem 4.1.3

There exist types A and B and a function f : A → B such that qinv( f ) is not a mere proposition.

```
theorem4∙1∙3 : {A B : Set}
  → (f : A → B)
  → isProp (qinv f) → ⊥
theorem4∙1∙3 f p = {!   !}
```