-- TODO: Define arbitrary high loop spaces

-- Prelude stuff
{-# OPTIONS --cubical #-}

open import Agda.Primitive public renaming ( Set to Type )
open import Agda.Builtin.Cubical.Path public

variable
  ℓ : Level

Path : ∀ {ℓ} (A : Type ℓ) → A → A → Type ℓ
Path A a b = PathP (λ _ → A) a b

-- Circle
data S¹ : Type where
  base : S¹
  loop : base ≡ base


