open import Data.Nat
open import Data.Unit
open import Data.String

data Type : Set

data Term : Set where
  VarTerm : String → Term
  UnitTerm : Term
  Lambda : String → Term → Term
  AppTerm : Term → Term → Term
  AnnotTerm : Term → Type → Term

data Type where
  UnitType : Type
  VarType : String → Type
  UniversalType : Type → Type
  ArrowType : Type → Type → Type

data Context : Set where
  NilContext : Context

check : (Ψ : Context) → (e : Term) → (A : Type) → ⊤
check Ψ (VarTerm x) A = {!   !}
check Ψ UnitTerm A = {!   !}
check Ψ (Lambda x e) A = {!   !}
check Ψ (AppTerm e e₁) A = {!   !}
check Ψ (AnnotTerm e x) A = {!   !}

synthesize : (Ψ : Context) → (e : Term) → Type
synthesize Ψ (VarTerm x) = {!   !}
synthesize _ UnitTerm = UnitType
synthesize Ψ (Lambda x e) = {!   !}
synthesize Ψ (AppTerm e e₁) = {!   !}
synthesize Ψ (AnnotTerm e x) = {!   !}