{-# OPTIONS --cubical #-}
-- http://jesse.jaksin14.angelfire.com/Proofs/Group_Theory.pdf

open import Agda.Primitive hiding (Prop)

open import Cubical.Core.Everything

is-Semigroup : (l : Level) → (S : Type l) → Type l
is-Semigroup l S = Σ[ mul ∈ (S → S → S) ] ((x y z : S) → mul (mul x y) z ≡ mul x (mul y z))

Semigroup : (l : Level) → Type (lsuc l)
Semigroup l = Σ[ G ∈ Type l ] (is-Semigroup l G)

is-Group : (l : Level) → (S : Semigroup l) → Type l
is-Group l S = {!   !}