open import HottBook.Chapter1
open import HottBook.Chapter2
open import HottBook.Util

test : {A B : Set}
  → (equiv @ (f , fIsEquiv) : A ≃ B)
  → (x y : A)
  → (x ≡ y) ≃ (f x ≡ f y)
test (equiv @ (f , mkIsEquiv g g-id h h-id)) x y = f2 , f2IsEquiv
  where
    f2 : x ≡ y → f x ≡ f y
    f2 p = ap f p

    g2 : f x ≡ f y → x ≡ y
    g2 p = 
      let p1 = ap h p in
      let p2 = trans p1 (h-id y) in
      let p3 = trans (sym (h-id x)) p2 in
      p3

    forwards : f2 ∘ g2 ∼ id
    forwards b = {!   !}
      where
        q = let y = f2 ∘ g2 in {!   !}

    backwards : g2 ∘ f2 ∼ id
    backwards b = {!   !}

    f2IsEquiv = mkIsEquiv g2 forwards g2 backwards