{-# OPTIONS --cubical #-}

module CubicalHott.Chapter1Exercises where

open import Cubical.Core.Everything
open import Cubical.Core.Primitives public
open import Data.Empty

refl : {ℓ : Level} {A : Set ℓ} {x : A} → Path A x x
refl {x = x} = λ i → x

-- Exercise 1.1. Given functions f : A → B and g : B → C, define their composite g ◦ f : A → C. Show that we have h ◦ (g ◦ f ) ≡ (h ◦ g) ◦ f .
infix 10 _∘_
_∘_ : {A B C : Set} → (g : B → C) → (f : A → B) → A → C
(g ∘ f) a = g (f a)

exercise-1-1 : {A B C D : Set}
  → (f : A → B)
  → (g : B → C)
  → (h : C → D)
  → h ∘ (g ∘ f) ≡ (h ∘ g) ∘ f
exercise-1-1 f g h = refl {x = h ∘ (g ∘ f)}

-- TODO: Explain how this works

-- Exercise 1.11. Show that for any type A, we have ¬¬¬A → ¬A.
¬_ : (A : Set) → Set
¬ A = ⊥

exercise-1-11 : {A : Set} → ¬ (¬ (¬ A)) → ¬ A
exercise-1-11 ()