```
module HottBook.Chapter2Lemma221 where

open import Agda.Primitive
open import HottBook.Chapter1
```

[]: ANCHOR: ap

```
ap : {l : Level} {A B : Set l} {x y : A}
  → (f : A → B)
  → (p : x ≡ y)
  → f x ≡ f y
ap {l} {A} {B} {x} {y} f p =
  J (λ x y p → f x ≡ f y) (λ x → refl) x y p
```

[]: ANCHOR_END: ap